# Pinterest V2 API

> Fetch public, logged-out Pinterest data — pin detail (image/video/idea/shopping pins), keyword search, user profiles, and board pins.

Page: https://docs.toolzerhub.com/reference/pinterest-v2

## Boards

Fetch public, logged-out Pinterest data — pin detail (image/video/idea/shopping pins), keyword search, user profiles, and board pins.

- [List board pins](https://docs.toolzerhub.com/reference/pinterest-v2/boards/get-pinterest-board-pins.md): `GET /v2/pinterest/boards/pins`. List pins from a public Pinterest board. Send bookmark to continue the list.
- [Resolve board URL](https://docs.toolzerhub.com/reference/pinterest-v2/boards/resolve-pinterest-board-url.md): `GET /v2/pinterest/boards/resolve-url`. Resolve a Pinterest board URL to its numeric board ID.

## Pins

Fetch public, logged-out Pinterest data — pin detail (image/video/idea/shopping pins), keyword search, user profiles, and board pins.

- [Get pin details](https://docs.toolzerhub.com/reference/pinterest-v2/pins/get-pinterest-pin-detail.md): `GET /v2/pinterest/pins/detail`. Get a public pin's media, board, creator, description, and available shopping data.
- [Resolve pin URL](https://docs.toolzerhub.com/reference/pinterest-v2/pins/resolve-pinterest-pin-url.md): `GET /v2/pinterest/pins/resolve-url`. Resolve a Pinterest or pin.it URL to its canonical pin URL.

## Profiles

Fetch public, logged-out Pinterest data — pin detail (image/video/idea/shopping pins), keyword search, user profiles, and board pins.

- [Get profile](https://docs.toolzerhub.com/reference/pinterest-v2/profiles/get-pinterest-user-profile.md): `GET /v2/pinterest/profiles/detail`. Get a public Pinterest profile by username or profile URL.
- [List profile boards](https://docs.toolzerhub.com/reference/pinterest-v2/profiles/get-pinterest-user-boards.md): `GET /v2/pinterest/profiles/boards`. List boards owned by a public Pinterest profile. Send bookmark to continue the list.

## Search

Fetch public, logged-out Pinterest data — pin detail (image/video/idea/shopping pins), keyword search, user profiles, and board pins.

- [Search pins](https://docs.toolzerhub.com/reference/pinterest-v2/search/search-pinterest-pins.md): `GET /v2/pinterest/search/pins`. Search public Pinterest pins or videos by keyword. Send bookmark to continue the results.
